Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 4984)
+++ trunk/BNC/src/bnchelp.html	(revision 4993)
@@ -1112,12 +1112,10 @@
 <p><a name="syncout"><h4>3.8. Feed Engine</h4></p>
 <p>
-BNC can generate synchronized or unsynchronized observations epoch by epoch from all stations and satellites to feed a real-time GNSS network engine. Observations can be streamed out through an IP port and/or saved in a local file. The output is always in plain ASCII format and comprises the following parameters:
-</p>
-<p>
-StationID | GPSWeek | GPSWeekSec | PRN, G=GPS, R=GLO | SlotNumber (if GLO) | Band/Frequency & trackingMode | Code | Phase | Doppler |  SNR  | SlipCount | ....
-</p>
-<p>
-In case an observation is not available, its value is set to zero '0.0'.
-</p>
+BNC can generate synchronized or unsynchronized observations epoch by epoch from all stations and satellites to feed a real-time GNSS network engine. Observations can be streamed out through an IP port and/or saved in a local file. The output is always in plain ASCII format.
+</p>
+<p>
+Any epoch begins with a line containing the GPS week number and the seconds within the GPS week. It ends with an empty line. The following lines contain the mountpoint string of the stream which provides the observations followed by a satellite ID and - in case of GLONASS - by a channel number. Observation types are specified by the three character observation code defined in RINEX Version 3. In case of phase observations a slip count is added which is set to "-1" if it is not set.
+</p>
+
 <p>Note on 'SlipCount':<br>
 It is the current understanding of BNC's authors that different slip counts could be referred to different phase measurements (i.e. L1C and L1P). The 'loss-of-lock' flags in RINEX are an example for making such kind of information available per phase measurement. However, it looks like we do have only one slip count in RTCM Version 3 for all phase measurements. As it could be that a receiver generates different slip counts for different phase measurements, we output one slip count per phase measurement to a listening real-time GNSS network engine.
@@ -1125,32 +1123,54 @@
 
 <p>
-The following is an output example for GPS and GLONASS:
+The following is an output example which presents observations from BeiDou, SBAS, Galileo, GLONASS, and GPS satellites collected through streams UNBS7 and CUT07::
 <pre>
+> 1732 575293.0000000
+UNBS7 C30     C7I   52521625.033 L7I  211482440.256  0 D7I       1137.575 S7I   50.500
+UNBS7 S38     C1C   39118513.027 L1C  205568663.413  2 D1C         87.234 S1C   45.250
+UNBS7 S35     C1C   40791597.031 L1C  214360758.146 -1 D1C         88.984 S1C   40.750
+UNBS7 S33     C1C   38746778.499 L1C  203615615.372  2 D1C        180.728 S1C   40.000
+UNBS7 S20     C1C   39337103.364 L1C  206717977.195 -1 D1C         82.208 S1C   38.750
+UNBS7 E20     C1C   27974677.098 L1C  147008045.420 -1 D1C      -2413.607 S1C   38.500 C5Q   27974686.281 L5Q  109778911.764 -1 D5Q      -1802.402 S5Q   37.750 C7Q   27974680.007 L7Q  112642368.684  0 D7Q      -1849.296 S7Q   36.750 C8Q   27974683.160 L8Q  111784691.221  0 D8Q      -1835.318 S8Q   40.000
+UNBS7 E19     C1C   24058376.927 L1C  126427717.054  2 D1C      -1385.859 S1C   49.000 C5Q   24058380.176 L5Q   94410589.295 -1 D5Q      -1034.948 S5Q   48.750 C7Q   24058376.379 L7Q   96872587.862  0 D7Q      -1061.890 S7Q   48.500 C8Q   24058378.177 L8Q   96135682.338  0 D8Q      -1053.836 S8Q   51.250
+UNBS7 E11     C1C   27232246.111 L1C  143106423.746 -1 D1C      -2154.317 S1C   39.750 C5Q   27232250.597 L5Q  106865177.076 -1 D5Q      -1608.680 S5Q   38.750 C7Q   27232246.242 L7Q  109652928.347  0 D7Q      -1650.698 S7Q   40.250
+UNBS7 R19  4  C1C   24541734.026 L1C  131328010.771  2 D1C       2911.017 S1C   31.750
+UNBS7 R18  0  C1C   22558658.594 L1C  120547370.474  1 D1C       -543.901 S1C   45.250 C2C   22558666.132 L2C   93758273.092  1 D2C       -423.119 S2C   42.750 C2P   22558765.799 L2P   93758272.937  1 D2P       -423.036 S2P   42.750
+UNBS7 R17  5  C1C   23035087.270 L1C  123309028.962 -1 D1C      -3323.456 S1C   45.750 C2C   23035092.859 L2C   95907314.836  1 D2C      -2584.900 S2C   43.000 C2P   23035093.016 L2P   95907314.829  1 D2P      -2584.926 S2P   43.500
+UNBS7 R13 -4  C1C   24281517.436 L1C  129570376.961 -1 D1C       4760.081 S1C   39.750 C2P   24281627.774 L2P  100778117.199  1 D2P       3702.114 S2P   36.000
+UNBS7 G28     C1C   25588198.303 L1C  134466827.475  1 D1C      -1032.626 S1C   39.250 C1W   25588197.691 S1W   15.500 C2W   25588200.399 L2W  104778988.889  1 D2W       -804.644 S2W   15.500
+UNBS7 G26     C1C   25127421.059 L1C  132045704.918  1 D1C      -3653.129 S1C   36.500 C1W   25127420.773 S1W   12.000 C2W   25127424.104 L2W  102892560.738  1 D2W      -2846.605 S2W   12.000
+UNBS7 G24     C1C   20547576.727 L1C  107978694.537  1 D1C        599.802 S1C   50.250 C2L   20547577.885 L2L   84139258.204  1 D2L        467.391 S2L   49.000 C1W   20547576.785 S1W   42.750 C2W   20547578.238 L2W   84139066.203  1 D2W        467.382 S2W   42.750 C5Q   20547579.383 L5Q   80633201.251  1 D5Q        447.932 S5Q   53.500
+UNBS7 G22     C1C   22172721.359 L1C  116518279.728  1 D1C       2726.754 S1C   49.000 C1W   22172720.376 S1W   36.250 C2W   22172718.227 L2W   90793085.849  1 D2W       2124.742 S2W   36.250
+UNBS7 G21     C1C   21630256.799 L1C  113668109.083  1 D1C      -1939.331 S1C   47.750 C1W   21630256.044 S1W   34.500 C2W   21630254.847 L2W   88572720.081  1 D2W      -1511.167 S2W   34.500
+UNBS7 G19     C1C   25165644.997 L1C  132246834.221  1 D1C       -490.993 S1C   39.500 C1W   25165643.982 S1W   20.500 C2W   25165644.422 L2W  103049479.944  1 D2W       -382.586 S2W   20.500
+UNBS7 G18     C1C   20531768.550 L1C  107894750.115  1 D1C       1234.782 S1C   49.250 C1W   20531767.853 S1W   41.000 C2W   20531765.914 L2W   84073617.540  1 D2W        962.168 S2W   41.000
+UNBS7 G15     C1C   21777447.498 L1C  114441371.014  1 D1C      -2353.596 S1C   48.250 C2L   21777446.713 L2L   89175026.091  1 D2L      -1834.048 S2L   43.500 C1W   21777447.454 S1W   38.000 C2W   21777446.800 L2W   89175148.093  1 D2W      -1833.968 S2W   38.000
+UNBS7 G14     C1C   23678224.097 L1C  124430377.004  1 D1C       2939.681 S1C   44.000 C1W   23678223.547 S1W   25.000 C2W   23678223.641 L2W   96958394.421  1 D2W       2290.658 S2W   25.000
+UNBS7 G12     C1C   25310418.542 L1C  133006986.232  1 D1C       3406.934 S1C   38.500 C2L   25310422.792 L2L  103641730.540  1 D2L       2654.627 S2L   32.250 C1W   25310418.377 S1W   16.250 C2W   25310422.213 L2W  103641568.498  1 D2W       2654.741 S2W   16.250
+UNBS7 G09     C1C   22610056.046 L1C  118817125.685  1 D1C      -3048.930 S1C   44.750 C1W   22610055.577 S1W   29.000 C2W   22610056.665 L2W   92584315.824  1 D2W      -2375.785 S2W   29.000
+UNBS7 G06     C1C   25728091.639 L1C  135202042.680  1 D1C      -2094.067 S1C   29.000 C1W   25728091.443 S1W    1.500 C2W   25728094.303 L2W  105352188.148  1 D2W      -1631.872 S2W    1.500
+CUT07 C12     C7I   22979037.528 L7I   92527042.164  0 S7I   48.625
+CUT07 S38     C1C   37359946.859 L1C  196327630.182  2 D1C       -392.653 S1C   49.000 C5I   37359937.363 L5I  146608502.881 -1 S5I   51.000
+CUT07 S35     C1C   37276606.234 L1C  195890311.443 -1 D1C       -390.929 S1C   49.500 C5I   37276599.996 L5I  146281717.058 -1 S5I   49.500
+CUT07 S33     C1C   37769075.859 L1C  198477710.254  2 D1C       -310.062 S1C   42.188 C5I   37769076.656 L5I  148214238.609 -1 S5I   43.875
+CUT07 R24  4  C1C   23966742.953 L1C  128251246.608  2 D1C      -4946.195 S1C   43.188 C2C   23966750.070 L2C   99750838.634 -1 S2C   37.000 C1P   23966742.680 L1P  128251246.635  2 S1P   41.000 C2P   23966749.558 L2P   99750954.711 -1 S2P   36.688
+CUT07 R19  4  C1C   24309313.688 L1C  130083563.680  2 D1C       3855.590 S1C   39.188 C2C   24309313.645 L2C  101176383.208 -1 S2C   34.312 C1P   24309310.832 L1P  130083745.723  2 S1P   37.688 C2P   24309314.313 L2P  101176761.348 -1 S2P   34.188
+CUT07 R18  0  C1C   19917643.023 L1C  106433996.725  2 D1C       1111.319 S1C   53.000 C2C   19917649.317 L2C   82782052.316 -1 S2C   49.812 C1P   19917643.453 L1P  106434070.799  2 S1P   52.188 C2P   19917649.867 L2P   82781674.915 -1 S2P   48.875
+CUT07 R17  5  C1C   19854407.851 L1C  106282103.770 -1 D1C      -3055.567 S1C   54.125 C2C   19854411.563 L2C   82663527.520 -1 S2C   49.688 C1P   19854407.930 L1P  106281682.645 -1 S1P   52.375 C2P   19854412.113 L2P   82663528.524 -1 S2P   49.625
+CUT07 G24     C1C   23772149.070 L1C  124923150.540  1 D1C       -152.399 S1C   39.625 C2X   23772156.203 L2X   97343001.822  1 S2X   41.688 C2W   23772156.191 L2W   97342901.823  1 S2W   24.125 C5X   23772160.430 L5X   93286584.325  1 S5X   44.500
+CUT07 G22     C1C   20448586.609 L1C  107457431.332  1 D1C       -441.321 S1C   51.500 C2W   20448586.758 L2W   83733065.207  1 S2W   45.188
+CUT07 G21     C1C   21859684.758 L1C  114873139.441  1 D1C      -2443.414 S1C   45.188 C2W   21859688.246 L2W   89511533.487  1 S2W   32.812
+CUT07 G19     C1C   22158841.390 L1C  116446146.990  1 D1C        881.969 S1C   48.375 C2W   22158843.356 L2W   90737143.432  1 S2W   37.000
+CUT07 G18     C1C   21359667.234 L1C  112246301.370  1 D1C      -1855.895 S1C   50.688 C2W   21359671.074 L2W   87464649.025  1 S2W   37.875
+CUT07 G14     C1C   20821398.524 L1C  109417883.127  1 D1C       1526.254 S1C   49.500 C2W   20821402.715 L2W   85260685.861  1 S2W   41.688
+CUT07 G11     C1C   25085802.070 L1C  131826590.176  1 D1C       3170.699 S1C   36.125 C2W   25085811.598 L2W  102722394.322  1 S2W   16.875
+CUT07 G06     C1C   21540741.320 L1C  113196771.962  1 D1C      -1864.613 S1C   50.875 C2W   21540746.156 L2W   88205273.216  1 S2W   39.625
+CUT07 G03     C1C   21599603.008 L1C  113507283.218  1 D1C      -1346.871 S1C   47.812 C2W   21599608.137 L2W   88446807.512  1 S2W   37.375
+
+> 1732 575294.0000000
+CUT07 C12     C7I   22978904.801 L7I   92526507.028  0 S7I   48.688
+CUT07 S38     C1C   37360020.797 L1C  196328022.792  3 D1C       -392.672 S1C   49.000 C5I   37360011.981 L5I  146608796.088 -1 S5I   51.125
+CUT07 S35     C1C   37276680.141 L1C  195890702.340 -1 D1C       -390.847 S1C   48.875 C5I   37276674.559 L5I  146282009.176 -1 S5I   49.500
 ...
-CUT07 1683 493688.0000000 G05     1C   24584925.242  129195234.317       3639.020   38.812 40  2P   24584927.676  100671636.233 0.0   22.812 -1  2X   24584927.336  100671611.239 0.0   39.500 -1
-CUT07 1683 493688.0000000 G04     1C   22598643.968  118756563.731      -1589.277   42.625 40  2P   22598649.391   92537559.230 0.0   29.125 -1
-CUT07 1683 493688.0000000 G02     1C   23290004.062  122389588.008       -445.992   46.375 -1  2P   23290003.567   95368508.986 0.0   29.188 -1
-
-CUT07 1683 493689.0000000 R16 -1  1C   19210052.313  102616872.230        364.063   53.375 42  1P   19210053.445  102616393.224 0.0   52.312 42  2P   19210057.785   79813218.557 0.0   50.188 -1
-CUT07 1683 493689.0000000 R15  0  1C   20665491.149  110430900.266      -2839.875   49.188 -1  1P   20665491.695  110430900.278 0.0   47.625 -1  2P   20665497.559   85890714.522 0.0   48.000 -1
-CUT07 1683 493689.0000000 R09 -2  1C   22028400.805  117630697.367       3584.840   47.625 -1  1P   22028401.586  117630607.367 0.0   45.688 -1  2P   22028406.746   91490549.182 0.0   41.625 -1
-CUT07 1683 493689.0000000 R07  5  1C   24291127.360  130032400.255       4146.149   40.125 42  1P   24291128.492  130032400.259 0.0   39.312 42  2P   24291130.602  101136710.408 0.0   35.125 -1
-CUT07 1683 493689.0000000 R05  1  1C   19740809.867  105526251.571       -921.679   54.125 42  1P   19740809.008  105526273.586 0.0   51.875 42  2P   19740814.051   82075815.588 0.0   50.812 -1
-CUT07 1683 493689.0000000 R04  6  1C   23394651.125  125277095.951      -3385.191   40.875 42  1P   23394651.906  125277095.943 0.0   39.812 42  2P   23394658.125   97437771.004 0.0   39.000 -1
-CUT07 1683 493689.0000000 G28     1C   25286905.648  132883677.970       4016.750   36.125 17  2P   25286911.715  103545663.916 0.0   14.812 11
-CUT07 1683 493689.0000000 G23     1C   23018013.274  120961034.323      -1795.551   46.375 -1  2P   23018011.781   94255379.472 0.0   31.688 -1
-CUT07 1683 493689.0000000 G20     1C   24055613.563  126413402.503      -3233.574   38.500 -1  2P   24055617.227   98504065.103 0.0   20.125 -1
-CUT07 1683 493689.0000000 G16     1C   24846810.039  130571661.274      -2140.137   38.000 41  2P   24846811.477  101744166.486 0.0   18.625 -1
-CUT07 1683 493689.0000000 G13     1C   21388182.664  112395102.592       -678.356   51.812 -1  2P   21388183.516   87580617.458 0.0   39.688 -1
-CUT07 1683 493689.0000000 G10     1C   20656684.758  108551288.049       1726.191   52.875 -1  2P   20656687.016   84585420.340 0.0   42.625 -1
-CUT07 1683 493689.0000000 G08     1C   20703057.860  108795261.566       1880.523   52.875 -1  2P   20703060.644   84775535.497 0.0   41.188 -1
-CUT07 1683 493689.0000000 G07     1C   20200125.289  106152257.500       -603.082   53.312 41  2P   20200126.961   82716251.449 0.0   46.000 -1  2X   20200126.797   82716243.452 0.0   52.625 -1
-CUT07 1683 493689.0000000 G05     1C   24584232.312  129191595.301       3639.047   38.875 41  2P   24584234.980  100668800.633 0.0   22.875 -1  2X   24584234.348  100668775.639 0.0   39.812 -1
-CUT07 1683 493689.0000000 G04     1C   22598946.500  118758153.159      -1589.461   42.500 41  2P   22598951.570   92538797.744 0.0   29.125 -1
-CUT07 1683 493689.0000000 G02     1C   23290088.758  122390034.211       -446.429   46.312 -1  2P   23290088.203   95368856.681 0.0   28.500 -1
-
-CUT07 1683 493690.0000000 R16 -1  1C   19209984.633  102616508.497        363.305   53.500 43  1P   19209985.180  102616029.506 0.0   51.812 43  2P   19209989.871   79812935.655 0.0   50.188 -1
-CUT07 1683 493690.0000000 R15  0  1C   20666023.047  110433740.264      -2840.242   49.188 -1  1P   20666023.945  110433740.275 0.0   47.500 -1  2P   20666029.574   85892923.403 0.0   47.625 -1
-CUT07 1683 493690.0000000 R09 -2  1C   22027730.398  117627112.720       3584.305   47.688 -1  1P   22027730.828  117627022.726 0.0   46.188 -1  2P   22027735.988   91487761.121 0.0   41.688 -1
 ...
 </pre>