Index: /trunk/GnssCenter/inpedit/keyword.cpp
===================================================================
--- /trunk/GnssCenter/inpedit/keyword.cpp	(revision 5096)
+++ /trunk/GnssCenter/inpedit/keyword.cpp	(revision 5097)
@@ -26,5 +26,5 @@
 // Constructor
 ////////////////////////////////////////////////////////////////////////////
-t_keyword::t_keyword(QString line, QTextStream& inStream) {
+t_keyword::t_keyword(QString line, QTextStream& inStream, QStringList& staticLines) {
 
   _ok     = false;
@@ -34,4 +34,6 @@
   QTextStream in(line.toAscii(), QIODevice::ReadOnly);
   in >> _name >> numVal;
+
+  staticLines << _name;
 
   if (!_name.isEmpty()) {
@@ -49,4 +51,5 @@
     while (inStream.status() == QTextStream::Ok && !inStream.atEnd()) {
       line = inStream.readLine().trimmed();
+      staticLines << line;
       if      (line.isEmpty()) {
         break;
Index: /trunk/GnssCenter/inpedit/keyword.h
===================================================================
--- /trunk/GnssCenter/inpedit/keyword.h	(revision 5096)
+++ /trunk/GnssCenter/inpedit/keyword.h	(revision 5097)
@@ -8,5 +8,5 @@
 class t_keyword {
  public:
-  t_keyword(QString line, QTextStream& inStream);
+  t_keyword(QString line, QTextStream& inStream, QStringList& staticLines);
   ~t_keyword();
 
Index: /trunk/GnssCenter/inpedit/panel.cpp
===================================================================
--- /trunk/GnssCenter/inpedit/panel.cpp	(revision 5096)
+++ /trunk/GnssCenter/inpedit/panel.cpp	(revision 5097)
@@ -26,5 +26,6 @@
 ////////////////////////////////////////////////////////////////////////////
 t_panel::t_panel(const QString& line, QTextStream& inStream,
-          QMap<QString, t_keyword*>* keywords) : QScrollArea(0) {
+                 QMap<QString, t_keyword*>* keywords,
+                 QStringList& staticLines) : QScrollArea(0) {
 
   _keywords = keywords;
@@ -44,5 +45,5 @@
   this->setWidget(_page);
 
-  read(line, inStream);
+  read(line, inStream, staticLines);
 
   setWidgetResizable(true);
@@ -56,8 +57,10 @@
 // Read Panel
 ////////////////////////////////////////////////////////////////////////////
-void t_panel::read(QString line, QTextStream& inStream) {
+void t_panel::read(QString line, QTextStream& inStream, QStringList& staticLines) {
+  staticLines << line;
   int iRow = -1;
   while (inStream.status() == QTextStream::Ok && !inStream.atEnd()) {
     line = inStream.readLine().trimmed();
+    staticLines << line;
     if  (line.isEmpty() || line.indexOf("END_PANEL") != -1) {
       break;
Index: /trunk/GnssCenter/inpedit/panel.h
===================================================================
--- /trunk/GnssCenter/inpedit/panel.h	(revision 5096)
+++ /trunk/GnssCenter/inpedit/panel.h	(revision 5097)
@@ -11,10 +11,12 @@
  public:
   t_panel(const QString& line, QTextStream& inStream,
-          QMap<QString, t_keyword*>* keywords);
+          QMap<QString, t_keyword*>* keywords,
+          QStringList& staticLines);
   ~t_panel();
   bool ok() const {return _ok;}
 
  private:
-  void read(QString line, QTextStream& inStream);
+  void read(QString line, QTextStream& inStream,
+            QStringList& staticLines);
   void addWidget(QWidget* widget, int row, int col,
                  int rSpan, int cSpan, const QString& toolTip = "");
Index: /trunk/GnssCenter/inpedit/tabwidget.cpp
===================================================================
--- /trunk/GnssCenter/inpedit/tabwidget.cpp	(revision 5096)
+++ /trunk/GnssCenter/inpedit/tabwidget.cpp	(revision 5097)
@@ -16,4 +16,5 @@
  * -----------------------------------------------------------------------*/
 
+#include <iostream>
 #include "tabwidget.h" 
 #include "keyword.h" 
@@ -49,4 +50,6 @@
 void t_tabWidget::readFile() {
 
+  _staticLines.clear();
+
   QFile file(_fileName);
   file.open(QIODevice::ReadOnly | QIODevice::Text);
@@ -61,4 +64,5 @@
     // -----------------------------
     if      (line.isEmpty() || line[0] == '!') {
+      _staticLines << line;
       continue;
     }
@@ -67,5 +71,5 @@
     // -----------
     else if (line[0] == '#' && line.indexOf("BEGIN_PANEL") != -1) {
-      t_panel* panel = new t_panel(line, inStream, &_keywords);
+      t_panel* panel = new t_panel(line, inStream, &_keywords, _staticLines);
       if (panel->ok()) {
         ++iPanel;
@@ -80,5 +84,5 @@
     // -------------
     else {
-      t_keyword* keyword = new t_keyword(line, inStream);
+      t_keyword* keyword = new t_keyword(line, inStream, _staticLines);
       if (keyword->ok()) {
         _keywords[keyword->name()] = keyword;
@@ -89,3 +93,9 @@
     }
   }
+
+  //// beg test
+  for (int ii = 0; ii < _staticLines.size(); ii++) {
+    cout << _staticLines[ii].toAscii().data() << endl;
+  }
+  //// end test
 }
Index: /trunk/GnssCenter/inpedit/tabwidget.h
===================================================================
--- /trunk/GnssCenter/inpedit/tabwidget.h	(revision 5096)
+++ /trunk/GnssCenter/inpedit/tabwidget.h	(revision 5097)
@@ -18,4 +18,5 @@
   QString                   _fileName;
   QMap<QString, t_keyword*> _keywords;
+  QStringList               _staticLines;
 };
 