Index: /trunk/BNC/src/map/bncmapwin.cpp
===================================================================
--- /trunk/BNC/src/map/bncmapwin.cpp	(revision 5161)
+++ /trunk/BNC/src/map/bncmapwin.cpp	(revision 5161)
@@ -0,0 +1,67 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      bncMapWin
+ *
+ * Purpose:    Displays the help
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    08-Jun-2013
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include "map/bncmapwin.h"
+
+// Constructor
+////////////////////////////////////////////////////////////////////////////
+bncMapWin::bncMapWin(QWidget* parent) : QDialog(parent) {
+
+  const int ww = QFontMetrics(font()).width('w');
+
+  setWindowTitle("Map View");
+
+  _webView = new QWebView(this);
+  _webView->load(QUrl("http://www.idnes.cz/"));
+  _webView->show();  
+
+  QVBoxLayout* dlgLayout = new QVBoxLayout;
+  dlgLayout->addWidget(_webView);
+
+  setLayout(dlgLayout);
+  resize(60*ww, 60*ww);
+  show();
+}
+
+// Destructor
+////////////////////////////////////////////////////////////////////////////
+bncMapWin::~bncMapWin() {
+}
+
Index: /trunk/BNC/src/map/bncmapwin.h
===================================================================
--- /trunk/BNC/src/map/bncmapwin.h	(revision 5161)
+++ /trunk/BNC/src/map/bncmapwin.h	(revision 5161)
@@ -0,0 +1,46 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+#ifndef BNCMAPWIN_H
+#define BNCMAPWIN_H
+
+#include <QtGui>
+#include <QWebView>
+
+class bncMapWin : public QDialog {
+ Q_OBJECT
+
+ public:
+  bncMapWin(QWidget* parent);
+  ~bncMapWin();
+
+ signals:
+
+ public slots:
+
+ private:
+  QWebView* _webView;
+};
+
+#endif
Index: /trunk/BNC/src/src.pri
===================================================================
--- /trunk/BNC/src/src.pri	(revision 5160)
+++ /trunk/BNC/src/src.pri	(revision 5161)
@@ -6,5 +6,5 @@
 RESOURCES += bnc.qrc
 
-QT += svg
+QT += svg webkit
 
 unix:QMAKE_CFLAGS_RELEASE   -= -O2
@@ -59,5 +59,6 @@
           RTCM3/clock_and_orbit/clock_orbit_rtcm.h                    \
           RTCM3/ephemeris.h RTCM3/timeutils.h                         \
-          GPSS/gpssDecoder.h GPSS/hassDecoder.h
+          GPSS/gpssDecoder.h GPSS/hassDecoder.h                       \
+          map/bncmapwin.h
 
 HEADERS       += serial/qextserialbase.h serial/qextserialport.h
@@ -88,5 +89,6 @@
           RTCM3/clock_and_orbit/clock_orbit_rtcm.c                    \
           RTCM3/ephemeris.cpp RTCM3/timeutils.cpp                     \
-          GPSS/gpssDecoder.cpp GPSS/hassDecoder.cpp
+          GPSS/gpssDecoder.cpp GPSS/hassDecoder.cpp                   \
+          map/bncmapwin.cpp
 
 SOURCES       += serial/qextserialbase.cpp serial/qextserialport.cpp