Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 5270)
+++ /trunk/BNC/src/bnchelp.html	(revision 5271)
@@ -111,5 +111,6 @@
 </ul>
 <li>Edit or concatenate RINEX files or check their quality;</li>
-<li>Plot stream distribution map from NTRIP Broadcaster source-tables.</li>
+<li>Plot stream distribution map from NTRIP Broadcaster source-tables;</li>
+<li>Plot positions from RTCM streams or RINEX files on maps from Google Map or Open StreetMap.</li>
 </ul>
 </p>
@@ -319,5 +320,4 @@
 &nbsp; &nbsp; &nbsp; 3.12.4.1 <a href=#pppnmeafile>NMEA File</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.4.2 <a href=#pppnmeaport>NMEA Port</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.4.3 <a href=#pppplot>PPP Plot</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.5 <a href=#ppppost>Post Processing</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.6 <a href=#ppprecant>Antennas</a><br>
@@ -341,4 +341,11 @@
 &nbsp; &nbsp; &nbsp; 3.12.8.5 <a href=#pppsigtrpi>Tropo Init</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.8.6 <a href=#pppsigtrpn>Tropo White Noise</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.9 <a href=#pppplots>PPP Plot</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10 <a href=#ppptracepos>Trace Positions</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10.1 <a href=#pppmap>Open Trace Map</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10.2 <a href=#pppmaptype>Google / OSM</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10.3 <a href=#ppptrace>Trace</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.10.4 <a href=#pppspeed>Speed</a><br>
+
 3.13. <a href=#combi>Combine Corrections</a><br>
 &nbsp; &nbsp; &nbsp; 3.13.1 <a href=#combimounttab>Combine Corrections Table</a><br>
@@ -1660,12 +1667,4 @@
 </p>
 
-<p><a name="pppplot"><h4>3.12.4.3 PPP Plot - optional</h4></p>
-<p>
-PPP time series of North (red), East (green) and Up (blue) displacements will be plotted in the 'PPP Plot' tab when this option is ticked. Values will be either referred to an XYZ reference coordinate (if specified) or referred to the first estimated XYZ coordinate. The sliding PPP time series window will cover the period of the latest 5 minutes.
-</p>
-<p>
-Note that a PPP time series makes only sense for a stationary operated receiver.
-</p>
-
 <p><a name="ppppost"><h4>3.12.5 Post Processing - optional</h4></p>
 <p>When in 'Post-Processing' mode
@@ -1833,4 +1832,37 @@
 <p>
 Enter a sigma in meters per second to describe the expected variation of the tropospheric effect. Supposing 1Hz observation data, a value of 3e-6 (default) would mean that the tropospheric effect may vary for 3600 * 3e-6 = 0.01 meters per hour.
+</p>
+
+<p><a name="pppplots"><h4>3.12.9 PPP Plot - optional</h4></p>
+<p>
+PPP time series of North (red), East (green) and Up (blue) displacements will be plotted in the 'PPP Plot' tab when this option is ticked. Values will be either referred to an XYZ reference coordinate (if specified) or referred to the first estimated XYZ coordinate. The sliding PPP time series window will cover the period of the latest 5 minutes.
+</p>
+<p>
+Note that a PPP time series makes only sense for a stationary operated receiver.
+</p>
+
+<p><a name="ppptracepos"><h4>3.12.10 Trace Positions</h4></p>
+<p>
+You make like to trace your rover position using Google Maps or Open StreetMap as a background ma/. Trace plots can be produced with BNC in 'Realtime-PPP', 'Realtime-SPP' and 'Post-Processing" PPP mode. 
+</p>
+
+<p><a name="pppmap"><h4>3.12.10.1 Open Trace Map - optional</h4></p>
+<p>
+The 'Open Trace Map' button opens a windows showing a map according to options specified below.
+</p>
+
+<p><a name="pppmaptype"><h4>3.12.10.2 Google / OSM - mandatory if 'Open Trace Map' pushed</h4></p>
+<p>
+Specify either 'Google' or 'OSM' as the background for your rover positions.
+</p>
+
+<p><a name="ppptrace"><h4>3.12.10.3 Trace - optional if 'Open Trace Map' pushed</h4></p>
+<p>
+Hit 'Trace' to plot each position as a single dot on the map. 
+</p>
+
+<p><a name="pppspeed"><h4>3.12.10.4 Speed - mandatory if 'Open Trace Map' pushed</h4></p>
+<p>
+With BNC in PPP post-processing mode you can specify the speed of computations as appropriate for visualization .Note that you can adjust 'Speed' on-the-fly while BNC is running.
 </p>
 