Index: /trunk/GnssCenter/map_stations/map_stations.cpp
===================================================================
--- /trunk/GnssCenter/map_stations/map_stations.cpp	(revision 5405)
+++ /trunk/GnssCenter/map_stations/map_stations.cpp	(revision 5406)
@@ -4,5 +4,5 @@
  * -------------------------------------------------------------------------
  *
- * Class:      t_svgMap
+ * Class:      t_map_stations
  *
  * Purpose:    Plot map of stations/satellites
@@ -27,14 +27,14 @@
 #include <qwt_plot_renderer.h>
 
-#include "svgmap.h"
+#include "map_stations.h"
 
 using namespace std;
 using namespace GnssCenter;
 
-Q_EXPORT_PLUGIN2(gnsscenter_svgmap, GnssCenter::t_svgMapFactory)
+Q_EXPORT_PLUGIN2(gnsscenter_map_stations, GnssCenter::t_map_stationsFactory)
 
 // Constructor
 /////////////////////////////////////////////////////////////////////////////
-t_svgMap::t_svgMap() : QDialog() {
+t_map_stations::t_map_stations() : QDialog() {
 
   // Map in Scalable Vector Graphics (svg) Format
@@ -99,5 +99,5 @@
 // Destructor
 /////////////////////////////////////////////////////////////////////////////
-t_svgMap::~t_svgMap() { 
+t_map_stations::~t_map_stations() { 
   delete _mapPlot;
   delete _buttonWhatsThis;
@@ -106,5 +106,5 @@
 // 
 /////////////////////////////////////////////////////////////////////////////
-void t_svgMap::slotNewPoint(const QString& name, double latDeg, double lonDeg) {
+void t_map_stations::slotNewPoint(const QString& name, double latDeg, double lonDeg) {
 
   if (lonDeg > 180.0) lonDeg -= 360.0;
@@ -156,5 +156,5 @@
 // Close
 ////////////////////////////////////////////////////////////////////////////
-void t_svgMap::slotClose() {
+void t_map_stations::slotClose() {
   done(0);
 }
@@ -162,5 +162,5 @@
 // Close Dialog gracefully
 ////////////////////////////////////////////////////////////////////////////
-void t_svgMap::closeEvent(QCloseEvent* event) {
+void t_map_stations::closeEvent(QCloseEvent* event) {
   QDialog::closeEvent(event);
 }
@@ -168,5 +168,5 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-void t_svgMap::showEvent(QShowEvent* event) {
+void t_map_stations::showEvent(QShowEvent* event) {
   double width  = _maxPointLon - _minPointLon;
   double height = _maxPointLat - _minPointLat;
@@ -218,5 +218,5 @@
 // Print the widget
 ////////////////////////////////////////////////////////////////////////////
-void t_svgMap::slotPrint() {
+void t_map_stations::slotPrint() {
 
   QPrinter printer;
@@ -236,5 +236,5 @@
 // Whats This Help
 ////////////////////////////////////////////////////////////////////////////
-void t_svgMap::slotWhatsThis() {
+void t_map_stations::slotWhatsThis() {
   QWhatsThis::enterWhatsThisMode();
 }
Index: /trunk/GnssCenter/map_stations/map_stations.h
===================================================================
--- /trunk/GnssCenter/map_stations/map_stations.h	(revision 5405)
+++ /trunk/GnssCenter/map_stations/map_stations.h	(revision 5406)
@@ -1,4 +1,4 @@
-#ifndef GnssCenter_SVGMAP_H
-#define GnssCenter_SVGMAP_H
+#ifndef GnssCenter_MAP_STATIONS_H
+#define GnssCenter_MAP_STATIONS_H
 
 #include <QtGui>
@@ -11,9 +11,9 @@
 namespace GnssCenter {
 
-class t_svgMap : public QDialog {
+class t_map_stations : public QDialog {
  Q_OBJECT
  public:
-  t_svgMap();
-  ~t_svgMap();
+  t_map_stations();
+  ~t_map_stations();
 
  public slots:
@@ -42,9 +42,9 @@
 };
 
-class t_svgMapFactory : public QObject, public t_pluginFactoryInterface {
+class t_map_stationsFactory : public QObject, public t_pluginFactoryInterface {
  Q_OBJECT
  Q_INTERFACES(GnssCenter::t_pluginFactoryInterface)
  public:
-  virtual QWidget* create() {return new t_svgMap();} 
+  virtual QWidget* create() {return new t_map_stations();} 
   virtual QString getName() const {return QString("Map");}
 };
Index: /trunk/GnssCenter/map_stations/map_stations.pro
===================================================================
--- /trunk/GnssCenter/map_stations/map_stations.pro	(revision 5405)
+++ /trunk/GnssCenter/map_stations/map_stations.pro	(revision 5406)
@@ -2,5 +2,5 @@
 TEMPLATE             = lib
 CONFIG              += plugin debug
-TARGET               = $$qtLibraryTarget(gnsscenter_svgmap)
+TARGET               = $$qtLibraryTarget(gnsscenter_map_stations)
 QT                  += svg
 INCLUDEPATH         += ../qwt ../main
@@ -19,7 +19,7 @@
 PRE_TARGETDEPS      += gen-cpp
 
-HEADERS   = svgmap.h
+HEADERS   = map_stations.h
 
-SOURCES   = svgmap.cpp
+SOURCES   = map_stations.cpp
 
-RESOURCES = svgmap.qrc
+RESOURCES = map_stations.qrc