Index: /trunk/GnssCenter/main/main.cpp
===================================================================
--- /trunk/GnssCenter/main/main.cpp	(revision 5451)
+++ /trunk/GnssCenter/main/main.cpp	(revision 5452)
@@ -27,4 +27,5 @@
   app.setOrganizationName("BKG");
   app.setOrganizationDomain("www.bkg.bund.de");
+  app.setConfFileName("");
 
   t_mainWin* mainWin = new t_mainWin();
Index: /trunk/GnssCenter/main/settings.cpp
===================================================================
--- /trunk/GnssCenter/main/settings.cpp	(revision 5451)
+++ /trunk/GnssCenter/main/settings.cpp	(revision 5452)
@@ -73,7 +73,7 @@
                             const QVariant& defaultValue) const {
   QMutexLocker locker(&_mutex);
-
-  if (_app->_settings.contains(key)) {
-    return _app->_settings[key];
+  QString fullKey = _groupName.isEmpty() ? key : _groupName + '/' + key;
+  if (_app->_settings.contains(fullKey)) {
+    return _app->_settings[fullKey];
   }
   else {
@@ -86,11 +86,6 @@
 void t_settings::setValue(const QString &key, const QVariant& value) {
   QMutexLocker locker(&_mutex);
-  setValue_p(key, value);
-}
-
-// 
-////////////////////////////////////////////////////////////////////////////
-void t_settings::setValue_p(const QString &key, const QVariant& value) {
-  _app->_settings[key] = value;
+  QString fullKey = _groupName.isEmpty() ? key : _groupName + '/' + key;
+  _app->_settings[fullKey] = value;
 }
 
@@ -99,5 +94,6 @@
 void t_settings::remove(const QString& key ) {
   QMutexLocker locker(&_mutex);
-  _app->_settings.remove(key);
+  QString fullKey = _groupName.isEmpty() ? key : _groupName + '/' + key;
+  _app->_settings.remove(fullKey);
 }
 
@@ -115,2 +111,16 @@
   settings.sync();
 }
+
+// 
+////////////////////////////////////////////////////////////////////////////
+void t_settings::beginGroup(const QString& groupName) {
+  QMutexLocker locker(&_mutex);
+  _groupName = groupName;
+}
+
+// 
+////////////////////////////////////////////////////////////////////////////
+void t_settings::endGroup() {
+  QMutexLocker locker(&_mutex);
+  _groupName.clear();
+}
Index: /trunk/GnssCenter/main/settings.h
===================================================================
--- /trunk/GnssCenter/main/settings.h	(revision 5451)
+++ /trunk/GnssCenter/main/settings.h	(revision 5452)
@@ -16,9 +16,11 @@
   void setValue(const QString &key, const QVariant& value);
   void remove(const QString& key );
+  void sync();
+  void beginGroup(const QString& groupName);
+  void endGroup();
+ private:
   void reRead();
-  void sync();
- private:
-  void          setValue_p(const QString &key, const QVariant& value);
   t_app*        _app;
+  QString       _groupName;
   static QMutex _mutex;
 };
Index: /trunk/GnssCenter/monitor/monitor.cpp
===================================================================
--- /trunk/GnssCenter/monitor/monitor.cpp	(revision 5451)
+++ /trunk/GnssCenter/monitor/monitor.cpp	(revision 5452)
@@ -32,4 +32,5 @@
 #include "worldplot.h"
 #include "thriftclient.h"
+#include "settings.h"
 
 using namespace std;
@@ -63,4 +64,13 @@
   connect(actStopThrift, SIGNAL(triggered()), this, SLOT(slotStopThrift()));
 
+  // Host and Port
+  // -------------
+  t_settings settings;
+  settings.beginGroup(pluginName);
+  settings.setValue("host", "rtnet.rtcm-ntrip.org");
+  settings.setValue("port", 7777);
+  settings.endGroup();
+  settings.sync();
+
   // Thrift Client;
   // --------------
@@ -86,5 +96,10 @@
 void t_monitor::slotStartThrift() {
   if (!_thriftClient) {
-    _thriftClient = new t_thriftClient(this);
+    t_settings settings;
+    settings.beginGroup(pluginName);
+    QString host = settings.value("host").toString();
+    int     port = settings.value("port").toInt();
+    settings.endGroup();
+    _thriftClient = new t_thriftClient(this, host, port);
     connect(_thriftClient, SIGNAL(finished()), this, SLOT(slotThriftFinished()));
     _thriftClient->start();
Index: /trunk/GnssCenter/monitor/monitor.h
===================================================================
--- /trunk/GnssCenter/monitor/monitor.h	(revision 5451)
+++ /trunk/GnssCenter/monitor/monitor.h	(revision 5452)
@@ -13,4 +13,6 @@
 
 namespace GnssCenter {
+
+const static QString pluginName = "RTNet Monitor";
 
 class t_monitor : public QMainWindow {
@@ -41,5 +43,5 @@
  public:
   virtual QWidget* create() {return new t_monitor();} 
-  virtual QString getName() const {return QString("RTNet Monitor");}
+  virtual QString getName() const {return pluginName;}
 };
 
Index: /trunk/GnssCenter/monitor/monitor.pro
===================================================================
--- /trunk/GnssCenter/monitor/monitor.pro	(revision 5451)
+++ /trunk/GnssCenter/monitor/monitor.pro	(revision 5452)
@@ -35,4 +35,5 @@
             worldplot.cpp    \
             thriftclient.cpp \
+            ../main/settings.cpp \
             gen-cpp/RtnetData.cpp \
             gen-cpp/rtnet_constants.cpp gen-cpp/rtnet_types.cpp \
Index: /trunk/GnssCenter/monitor/thriftclient.cpp
===================================================================
--- /trunk/GnssCenter/monitor/thriftclient.cpp	(revision 5451)
+++ /trunk/GnssCenter/monitor/thriftclient.cpp	(revision 5452)
@@ -20,7 +20,9 @@
 // Constructor
 //////////////////////////////////////////////////////////////////////////////
-t_thriftClient::t_thriftClient(t_monitor* parent) {
+t_thriftClient::t_thriftClient(t_monitor* parent, const QString& host, int port) {
   _stop   = false;
   _parent = parent;
+  _host   = host.toAscii().data();
+  _port   = port;
 }
 
Index: /trunk/GnssCenter/monitor/thriftclient.h
===================================================================
--- /trunk/GnssCenter/monitor/thriftclient.h	(revision 5451)
+++ /trunk/GnssCenter/monitor/thriftclient.h	(revision 5452)
@@ -4,4 +4,5 @@
 #include <string>
 #include <map>
+#include <QString>
 #include <QThread>
 #include <QMutex>
@@ -66,5 +67,5 @@
 class t_thriftClient : public QThread {
  public:
-  t_thriftClient(t_monitor* parent);
+  t_thriftClient(t_monitor* parent, const QString& host, int port);
   ~t_thriftClient();
   virtual void run();
@@ -75,7 +76,9 @@
 
  private:
-  QMutex     _mutex;
-  t_monitor* _parent;
-  bool       _stop;
+  QMutex      _mutex;
+  std::string _host;
+  int         _port;
+  t_monitor*  _parent;
+  bool        _stop;
 };
 