Index: trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 5655)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 5662)
@@ -11,10 +11,10 @@
  * Created:    29-Mar-2011
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
 
 #include <math.h>
-#include "bncrtnetuploadcaster.h" 
+#include "bncrtnetuploadcaster.h"
 #include "bncsettings.h"
 #include "bncephuser.h"
@@ -28,6 +28,6 @@
 bncRtnetUploadCaster::bncRtnetUploadCaster(const QString& mountpoint,
                                  const QString& outHost, int outPort,
-                                 const QString& password, 
-                                 const QString& crdTrafo, bool  CoM, 
+                                 const QString& password,
+                                 const QString& crdTrafo, bool  CoM,
                                  const QString& sp3FileName,
                                  const QString& rnxFileName,
@@ -156,5 +156,5 @@
     _oyr =  0.000000;
     _ozr =  0.000000;
-    _sc  =     0.000;
+    _sc  =    -1.000;
     _scr =     0.000;
     _t0  =    0000.0;
@@ -225,8 +225,8 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncRtnetUploadCaster::decodeRtnetStream(char* buffer, int bufLen) {
-                                        
+
   QMutexLocker locker(&_mutex);
 
@@ -274,7 +274,7 @@
   bncTime epoTime; epoTime.set( year, month, day, hour, min, sec);
 
-  emit(newMessage("bncRtnetUploadCaster: decode " + 
+  emit(newMessage("bncRtnetUploadCaster: decode " +
                   QByteArray(epoTime.datestr().c_str()) + " " +
-                  QByteArray(epoTime.timestr().c_str()) + " " + 
+                  QByteArray(epoTime.timestr().c_str()) + " " +
                   _casterID.toAscii(), false));
 
@@ -290,10 +290,10 @@
   co.SSRProviderID     = _PID; // 256 .. BKG,  257 ... EUREF
   co.SSRSolutionID     = _SID;
-  
+
   struct Bias bias;
   memset(&bias, 0, sizeof(bias));
   bias.GPSEpochTime     = co.GPSEpochTime;
   bias.GLONASSEpochTime = co.GLONASSEpochTime;
-  
+
   // Default Update Interval
   // -----------------------
@@ -332,5 +332,5 @@
 
   for (int ii = 1; ii < lines.size(); ii++) {
- 
+
     QString      prn;
     ColumnVector rtnAPC;
@@ -338,5 +338,5 @@
     ColumnVector rtnCoM;
     double       rtnClk;
-  
+
     QTextStream in(lines[ii].toAscii());
 
@@ -418,5 +418,5 @@
           }
         }
-      }  
+      }
       struct ClockOrbit::SatData* sd = 0;
       if      (prn[0] == 'G') {
@@ -430,8 +430,8 @@
       if (sd) {
         QString outLine;
-        processSatellite(eph, epoTime.gpsw(), epoTime.gpssec(), prn, 
+        processSatellite(eph, epoTime.gpsw(), epoTime.gpssec(), prn,
                          rtnAPC, rtnClk, rtnVel, rtnCoM, sd, outLine);
       }
-  
+
       struct Bias::BiasSat* biasSat = 0;
       if      (prn[0] == 'G') {
@@ -443,5 +443,5 @@
         ++bias.NumberOfGLONASSSat;
       }
-  
+
       // Code Biases
       // -----------
@@ -567,5 +567,5 @@
   }
 
-  QByteArray hlpBufferCo;  
+  QByteArray hlpBufferCo;
 
   // Orbit and Clock Corrections together
@@ -616,8 +616,8 @@
     }
   }
-  
+
   // Biases
   // ------
-  QByteArray hlpBufferBias;  
+  QByteArray hlpBufferBias;
   if (bias.NumberOfGPSSat > 0 || bias.NumberOfGLONASSSat > 0) {
     char obuffer[CLOCKORBIT_BUFFERSIZE];
@@ -631,7 +631,7 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
-void bncRtnetUploadCaster::processSatellite(t_eph* eph, int GPSweek, 
+void bncRtnetUploadCaster::processSatellite(t_eph* eph, int GPSweek,
                                             double GPSweeks, const QString& prn,
                                             const ColumnVector& rtnAPC,
@@ -647,19 +647,19 @@
   ColumnVector vB(3);
   eph->position(GPSweek, GPSweeks, xB.data(), vB.data());
-  
+
   // Precise Position
   // ----------------
   ColumnVector xP = _CoM ? rtnCoM : rtnAPC;
 
-  double dc = 0.0;    
+  double dc = 0.0;
   if (_crdTrafo != "IGS08") {
     crdTrafo(GPSweek, xP, dc);
   }
-  
+
   // Difference in xyz
   // -----------------
   ColumnVector dx = xB.Rows(1,3) - xP;
   ColumnVector dv = vB           - rtnVel;
-  
+
   // Difference in RSW
   // -----------------
@@ -688,5 +688,5 @@
   }
 
-  outLine.sprintf("%d %.1f %s  %3d  %10.3f  %8.3f %8.3f %8.3f\n", 
+  outLine.sprintf("%d %.1f %s  %3d  %10.3f  %8.3f %8.3f %8.3f\n",
                   GPSweek, GPSweeks, eph->prn().toAscii().data(),
                   eph->IOD(), dClk, rsw(1), rsw(2), rsw(3));
@@ -705,5 +705,5 @@
 // Transform Coordinates
 ////////////////////////////////////////////////////////////////////////////
-void bncRtnetUploadCaster::crdTrafo(int GPSWeek, ColumnVector& xyz, 
+void bncRtnetUploadCaster::crdTrafo(int GPSWeek, ColumnVector& xyz,
                                     double& dc) {
 