Index: trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 5662)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 5666)
@@ -281,9 +281,9 @@
   struct ClockOrbit co;
   memset(&co, 0, sizeof(co));
-  co.GPSEpochTime      = static_cast<int>(epoTime.gpssec());
-  co.GLONASSEpochTime  = static_cast<int>(fmod(epoTime.gpssec(), 86400.0))
+  co.EpochTime[CLOCKORBIT_SATGPS]     = static_cast<int>(epoTime.gpssec());
+  co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(fmod(epoTime.gpssec(), 86400.0))
                        + 3 * 3600 - gnumleap(year, month, day);
-  co.ClockDataSupplied = 1;
-  co.OrbitDataSupplied = 1;
+  co.Supplied[COBOFS_CLOCK] = 1;
+  co.Supplied[COBOFS_ORBIT] = 1;
   co.SatRefDatum       = DATUM_ITRF;
   co.SSRIOD            = _IOD;
@@ -291,8 +291,8 @@
   co.SSRSolutionID     = _SID;
 
-  struct Bias bias;
+  struct CodeBias bias;
   memset(&bias, 0, sizeof(bias));
-  bias.GPSEpochTime     = co.GPSEpochTime;
-  bias.GLONASSEpochTime = co.GLONASSEpochTime;
+  bias.EpochTime[CLOCKORBIT_SATGPS]     = co.EpochTime[CLOCKORBIT_SATGPS];
+  bias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
 
   // Default Update Interval
@@ -421,10 +421,10 @@
       struct ClockOrbit::SatData* sd = 0;
       if      (prn[0] == 'G') {
-        sd = co.Sat + co.NumberOfGPSSat;
-        ++co.NumberOfGPSSat;
+        sd = co.Sat + co.NumberOfSat[CLOCKORBIT_SATGPS];
+        ++co.NumberOfSat[CLOCKORBIT_SATGPS];
       }
       else if (prn[0] == 'R') {
-        sd = co.Sat + CLOCKORBIT_NUMGPS + co.NumberOfGLONASSSat;
-        ++co.NumberOfGLONASSSat;
+        sd = co.Sat + CLOCKORBIT_NUMGPS + co.NumberOfSat[CLOCKORBIT_SATGLONASS];
+        ++co.NumberOfSat[CLOCKORBIT_SATGLONASS];
       }
       if (sd) {
@@ -434,12 +434,12 @@
       }
 
-      struct Bias::BiasSat* biasSat = 0;
+      struct CodeBias::BiasSat* biasSat = 0;
       if      (prn[0] == 'G') {
-        biasSat = bias.Sat + bias.NumberOfGPSSat;
-        ++bias.NumberOfGPSSat;
+        biasSat = bias.Sat + bias.NumberOfSat[CLOCKORBIT_SATGPS];
+        ++bias.NumberOfSat[CLOCKORBIT_SATGPS];
       }
       else if (prn[0] == 'R') {
-        biasSat = bias.Sat + CLOCKORBIT_NUMGPS + bias.NumberOfGLONASSSat;
-        ++bias.NumberOfGLONASSSat;
+        biasSat = bias.Sat + CLOCKORBIT_NUMGPS + bias.NumberOfSat[CLOCKORBIT_SATGLONASS];
+        ++bias.NumberOfSat[CLOCKORBIT_SATGLONASS];
       }
 
@@ -572,5 +572,5 @@
   // ------------------------------------
   if (_samplRtcmEphCorr == 0.0) {
-    if (co.NumberOfGPSSat > 0 || co.NumberOfGLONASSSat > 0) {
+    if (co.NumberOfSat[CLOCKORBIT_SATGPS] > 0 || co.NumberOfSat[CLOCKORBIT_SATGLONASS] > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
       int len = MakeClockOrbit(&co, COTYPE_AUTO, 0, obuffer, sizeof(obuffer));
@@ -584,5 +584,5 @@
   // --------------------------------------
   else {
-    if (co.NumberOfGPSSat > 0) {
+    if (co.NumberOfSat[CLOCKORBIT_SATGPS] > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
       if (fmod(epoTime.gpssec(), _samplRtcmEphCorr) == 0.0) {
@@ -594,5 +594,5 @@
         }
       }
-      int mmsg = (co.NumberOfGLONASSSat > 0) ? 1 : 0;
+      int mmsg = (co.NumberOfSat[CLOCKORBIT_SATGLONASS] > 0) ? 1 : 0;
       int len2 = MakeClockOrbit(&co, COTYPE_GPSCLOCK, mmsg, obuffer, sizeof(obuffer));
       if (len2 > 0) {
@@ -600,5 +600,5 @@
       }
     }
-    if (co.NumberOfGLONASSSat > 0) {
+    if (co.NumberOfSat[CLOCKORBIT_SATGLONASS] > 0) {
       char obuffer[CLOCKORBIT_BUFFERSIZE];
       if (fmod(epoTime.gpssec(), _samplRtcmEphCorr) == 0.0) {
@@ -620,7 +620,7 @@
   // ------
   QByteArray hlpBufferBias;
-  if (bias.NumberOfGPSSat > 0 || bias.NumberOfGLONASSSat > 0) {
+  if (bias.NumberOfSat[CLOCKORBIT_SATGPS] > 0 || bias.NumberOfSat[CLOCKORBIT_SATGLONASS] > 0) {
     char obuffer[CLOCKORBIT_BUFFERSIZE];
-    int len = MakeBias(&bias, BTYPE_AUTO, 0, obuffer, sizeof(obuffer));
+    int len = MakeCodeBias(&bias, BTYPE_AUTO, 0, obuffer, sizeof(obuffer));
     if (len > 0) {
       hlpBufferBias = QByteArray(obuffer, len);